
Redmine - Defect #34185

Trackers of subprojects are not displayed in the Issue summary page

2020-10-29 07:45 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

The tracker box in the Issue summary page (projects/:id/issues/report, projects/:id/issues/report/tracker) shows the trackers used

only for that project.

I think if "Display subprojects issues on main projects by default" setting is enabled, you should also display trackers that are used

only in subprojects.

Related issues:

Related to Redmine - Feature #2529: Extend Issue Summary to include subprojects Closed 2009-01-19

Related to Redmine - Defect #35664: Inconsistencies in rendering of subprojec... New

Related to Redmine - Feature #35647: Allow the user to properly override Sett... New

Copied from Redmine - Defect #10084: Disabled trackers of subprojects are lis... Closed

Associated revisions

Revision 20401 - 2020-11-16 15:21 - Go MAEDA

Trackers of subprojects are not displayed in the Issue summary page (#34185).

Patch by Yuichi HARADA.

History

#1 - 2020-10-29 07:45 - Yuichi HARADA

- Copied from Defect #10084: Disabled trackers of subprojects are listed in project overview added

#2 - 2020-10-29 07:51 - Yuichi HARADA

- File fixed-34185.patch added

I created a patch like this.

diff --git a/app/controllers/reports_controller.rb b/app/controllers/reports_controller.rb

index b9ee49100..976907242 100644

--- a/app/controllers/reports_controller.rb

+++ b/app/controllers/reports_controller.rb

@@ -22,14 +22,14 @@ class ReportsController < ApplicationController

   before_action :find_project, :authorize, :find_issue_statuses

   def issue_report

-    @trackers = @project.rolled_up_trackers(false).visible

+    with_subprojects = Setting.display_subprojects_issues?

+    @trackers = @project.rolled_up_trackers(with_subprojects).visible

     @versions = @project.shared_versions.sorted

     @priorities = IssuePriority.all.reverse

     @categories = @project.issue_categories

     @assignees = (Setting.issue_group_assignment? ? @project.principals : @project.users).sorted

     @authors = @project.users.sorted

     @subprojects = @project.descendants.visible

-    with_subprojects = Setting.display_subprojects_issues?

     @issues_by_tracker = Issue.by_tracker(@project, with_subprojects)

     @issues_by_version = Issue.by_version(@project, with_subprojects)

     @issues_by_priority = Issue.by_priority(@project, with_subprojects)

@@ -46,7 +46,7 @@ class ReportsController < ApplicationController

     case params[:detail]
     when "tracker" 

       @field = "tracker_id" 

-      @rows = @project.rolled_up_trackers(false).visible

+      @rows = @project.rolled_up_trackers(with_subprojects).visible

       @data = Issue.by_tracker(@project, with_subprojects)

       @report_title = l(:field_tracker)

     when "version" 

#3 - 2020-11-07 07:48 - Go MAEDA

- Related to Feature #2529: Extend Issue Summary to include subprojects added

#4 - 2020-11-07 07:57 - Go MAEDA

- Category changed from Projects to Issues

- Status changed from New to Confirmed

- Target version set to Candidate for next major release

Confirmed the issue. The attached patch is a fix for #2529 that delivered in Redmine 4.0.0.

#5 - 2020-11-07 08:10 - Go MAEDA

- File 34185-v2.patch added

I have got rid of RuboCop Rails/DynamicFindBy offense.

#6 - 2020-11-11 08:46 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#7 - 2020-11-16 06:16 - Go MAEDA

- File deleted (34185-v2.patch)

#8 - 2020-11-16 06:16 - Go MAEDA

- File 34185-v2.patch added

#9 - 2020-11-16 15:21 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#10 - 2020-11-16 15:22 - Go MAEDA

- Subject changed from Trackers of subprojects are not listed in the Issue summary page to Trackers of subprojects are not displayed in the Issue

summary page

#11 - 2021-08-02 15:29 - Mischa The Evil

- Related to Defect #35664: Inconsistencies in rendering of subproject data on Issues Reports added

#12 - 2021-08-02 21:32 - Mischa The Evil

- Related to Feature #35647: Allow the user to properly override Setting.display_subprojects_issues on Issue Reports if a project has subprojects

added

Files

fixed-34185.patch 8.64 KB 2020-10-29 Yuichi HARADA

34185-v2.patch 8.65 KB 2020-11-16 Go MAEDA
